Fetch Work Summary
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
startDate: '2026-02-08 00:00:00',
endDate: '2026-02-08 23:59:59',
timeZone: 'Asia/Kolkata',
userId: ['ab7c4f30-1024-471a-a767-739df0dc53fd'],
teamId: []
})
};
fetch('https://api.trackpilots.com/v1/dashboard/work-summary', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://api.trackpilots.com/v1/dashboard/work-summary \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"startDate": "2026-02-08 00:00:00",
"endDate": "2026-02-08 23:59:59",
"timeZone": "Asia/Kolkata",
"userId": [
"ab7c4f30-1024-471a-a767-739df0dc53fd"
],
"teamId": []
}
'import requests
url = "https://api.trackpilots.com/v1/dashboard/work-summary"
payload = {
"startDate": "2026-02-08 00:00:00",
"endDate": "2026-02-08 23:59:59",
"timeZone": "Asia/Kolkata",
"userId": ["ab7c4f30-1024-471a-a767-739df0dc53fd"],
"teamId": []
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"success": true,
"statusCode": 200,
"statusMessage": "Fetched work summary successfully",
"error": null,
"data": {
"timeSummary": {
"totalWorkedTimeInSeconds": 13665,
"activeWorkedTimeInSeconds": 11724,
"idleWorkedTimeInSeconds": 1941,
"productiveWorkedTimeInSeconds": 8982,
"unproductiveWorkedTimeInSeconds": 0,
"neutralWorkedTimeInSeconds": 2742
},
"activityStats": {
"appsVisitedCount": 235,
"websitesVisitedCount": 124,
"totalTeamMembers": 35
}
}
}Dashboard
Fetch Work Summary
Fetch dashboard work summary with particular interval of time
POST
/
v1
/
dashboard
/
work-summary
Fetch Work Summary
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
startDate: '2026-02-08 00:00:00',
endDate: '2026-02-08 23:59:59',
timeZone: 'Asia/Kolkata',
userId: ['ab7c4f30-1024-471a-a767-739df0dc53fd'],
teamId: []
})
};
fetch('https://api.trackpilots.com/v1/dashboard/work-summary', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://api.trackpilots.com/v1/dashboard/work-summary \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"startDate": "2026-02-08 00:00:00",
"endDate": "2026-02-08 23:59:59",
"timeZone": "Asia/Kolkata",
"userId": [
"ab7c4f30-1024-471a-a767-739df0dc53fd"
],
"teamId": []
}
'import requests
url = "https://api.trackpilots.com/v1/dashboard/work-summary"
payload = {
"startDate": "2026-02-08 00:00:00",
"endDate": "2026-02-08 23:59:59",
"timeZone": "Asia/Kolkata",
"userId": ["ab7c4f30-1024-471a-a767-739df0dc53fd"],
"teamId": []
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"success": true,
"statusCode": 200,
"statusMessage": "Fetched work summary successfully",
"error": null,
"data": {
"timeSummary": {
"totalWorkedTimeInSeconds": 13665,
"activeWorkedTimeInSeconds": 11724,
"idleWorkedTimeInSeconds": 1941,
"productiveWorkedTimeInSeconds": 8982,
"unproductiveWorkedTimeInSeconds": 0,
"neutralWorkedTimeInSeconds": 2742
},
"activityStats": {
"appsVisitedCount": 235,
"websitesVisitedCount": 124,
"totalTeamMembers": 35
}
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
- Option 1
- Option 2
Either userId or teamId must be provided. Both cannot be empty.
Example:
"2026-02-08 00:00:00"
Example:
"2026-02-08 23:59:59"
IANA timezone of the requester
Example:
"Asia/Kolkata"
List of user UUIDs to fetch screenshots for
List of team UUIDs to fetch screenshots for
Example:
[]
